<?php
namespace Teknisa\CMP\Modules\Fornecimento\Modules\AutorizacaoFornecimento\Services;

use Zeedhi\Framework\DTO;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;
use Doctrine\ORM\EntityManager;

class CMP03905ImportacaoSolicitacaoComprasService
{
    protected $entityManager;
    protected $connection;
    protected $environment;
    
    public function __construct($entityManager, $environment)
    {
        $this->connection  = $entityManager->getConnection();
        $this->environment = $environment;
        
    }
    
    public function adqUtModProd($params)
    {
        $query = "SELECT IDBLPRCOMEST, NVL(IDUTMODPRODFIL, 'N') IDUTMODPRODFIL
                  FROM PARAMFILIAL
                 WHERE CDFILIAL = :P_CDFILIAL";
                 
        $std = $this->connection->prepare($query);
        $std->execute(
            [
                'P_CDFILIAL' => $params['P_CDFILIAL'],
            ]
        );
        
        return $std->fetchAll();
    }
    
    public function getDataProcessamentoFilial($params)
    {
        $query = "SELECT DTPROCESSA, DTPROCESSA + 1 AS DTPROCESSAFUT FROM (SELECT (
                      CASE PARAMGERAL.IDUTILDTPROC
                        WHEN 'N'
                        THEN SYSDATE
                        ELSE NVL(PARAMFILIAL.DTPROCESSA, SYSDATE)
                      END) DTPROCESSA
                    FROM PARAMGERAL,
                      PARAMFILIAL
                    WHERE PARAMFILIAL.CDFILIAL = :P_CDFILIAL)";
                 
        $std = $this->connection->prepare($query);
        $std->execute(
            [
                'P_CDFILIAL' => $params['P_CDFILIAL'],
            ]
        );
        
        return $std->fetchAll();
    }
}
