<?php
namespace Teknisa\CMP\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class ReprocessarDadosService {
    
    protected $connection;
    protected $newCode;
    
    public function __construct($entityManager, $environment, $newCode) {
        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
        $this->newCode = $newCode;
    }
    
    public function procedureUploadItens() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_PRODFORNCOMP_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedureUploadCadastroFornecedores() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_FORNECEDOR_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedureLocalEstoque() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_FILIOPELOG_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedureMovimentacao() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_ITEMPRODUTO_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedureMovimentacaoSKUAtualizacaoEstoque() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_ITLANCTOEST_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedureOrigemSKU() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_REFORFIL_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedureLinhaPedidosColocados() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_ITEMAUTFOL_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedureCondicaoComercialSKU() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_ITEMCOLE_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedurePlanejamentoSemanal() {
        try {
            $procedure = new StoredProcedure($this->connection, "EXP_ITEMAUTFDEST_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
    public function procedureLinhaPedidosLiberados() {
        try {
            $procedure = new StoredProcedure($this->connection, "IMP_AUTOFORNE_NGD");
            return $procedure->execute();
        } catch(Exception $e) {
            throw $e;
        }
    }
    
}