<?php
namespace Folha\Entities;

class FpaItecalcfolha extends Base\FpaItecalcfolha
{

    /**
     * @autor: Matheus Silva
     * @date: 18/12/2014 12:35
     *
     * Função criada para a validação de líquido nas telas que contêm a tab fpa_itemcalc
     *
     * @param int $nrcalculofolha
     * @param int $nrvinculom
     * @param String $dtmescompetencia
     * @param int $nrorg
     *
     * @return boolean
     */

    public static function validaLiquido($nrcalculofolha, $nrvinculom, $dtmescompetencia, $nrorg, $nreventom = 3030)
    {
        $params = array(
            'P_NRORG'            => $nrorg,
            'P_NRVINCULOM'       => $nrvinculom,
            'P_NRCALCULOFOLHA'   => $nrcalculofolha,
            'P_NREVENTOM'        => $nreventom
        );
        $where = "NRORG = :P_NRORG AND NREVENTOM = :P_NREVENTOM AND NRVINCULOM = :P_NRVINCULOM AND NRCALCULOFOLHA = :P_NRCALCULOFOLHA";
        $obj = self::getObjectByWhere($where, $params);
        if($obj instanceof self){
            return true;
        }else{
            return false;
        }
    }
}